Skip to navigation

List videos

This method will be deprecated in a future version. New implementations should use the List indexed assets method.

This method returns a list of the videos in the specified index. By default, the platform returns your videos sorted by creation date, with the newest at the top of the list.

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

index-idstringRequired
The unique identifier of the index for which the platform will retrieve the videos.

Query parameters

pageintegerOptionalDefaults to 1

A number that identifies the page to retrieve.

Default: 1.

page_limitintegerOptionalDefaults to 10

The number of items to return on each page.

Default: 10. Max: 50.

sort_bystringOptionalDefaults to created_at

The field to sort on. The following options are available:

  • updated_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was updated.
  • created_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was created.

Default: created_at.

sort_optionstringOptionalDefaults to desc

The sorting direction. The following options are available:

  • asc
  • desc

Default: desc.

filenamestringOptional
Filter by filename.
durationobjectOptional

Filter by duration in seconds. Pass an object with gte and/or lte for range filtering. For exact match, set both to the same value.

fpsobjectOptional

Filter by frames per second. Pass an object with gte and/or lte for range filtering. For exact match, set both to the same value.

widthobjectOptional

Filter by width in pixels. Pass an object with gte and/or lte for range filtering. For exact match, set both to the same value.

heightobjectOptional

Filter by height in pixels. Pass an object with gte and/or lte for range filtering. For exact match, set both to the same value.

sizeobjectOptional

Filter by size in bytes. Pass an object with gte and/or lte for range filtering. For exact match, set both to the same value.

created_atstringOptional

Filter videos by the creation date and time of their associated indexing tasks, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"). The platform returns the videos whose indexing tasks were created on the specified date at or after the given time.

updated_atstringOptional

This filter applies only to videos updated using the PUT method of the /indexes/{index-id}/videos/{video-id} endpoint. It filters videos by the last update date and time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"). The platform returns the video indexing tasks that were last updated on the specified date at or after the given time.

user_metadatamap from strings to strings or doubles or booleansOptional

To enable filtering by custom fields, you must first add user-defined metadata to your video by calling the PUT method of the /indexes/:index-id/videos/:video-id endpoint.

Examples:

  • To filter on a string: ?category=recentlyAdded
  • To filter on an integer: ?batchNumber=5
  • To filter on a float: ?rating=9.3
  • To filter on a boolean: ?needsReview=true

Response

The video vectors in the specified index have successfully been retrieved.
datalist of objectsOptional

An array that contains up to page_limit videos.

page_infoobjectOptional
An object that provides information about pagination.

Errors

400
Bad Request Error